Bug 123504 - Impress fails to render donut and pie charts with 100 and 0 entries in only column
Summary: Impress fails to render donut and pie charts with 100 and 0 entries in only c...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-02-16 23:57 UTC by Semion Nadezhdin
Modified: 2019-03-20 16:01 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Semion Nadezhdin 2019-02-16 23:57:54 UTC
Description:
Well, as told in summary. It just vanishes, but restores operation when zero is replaced with any other number. It is possible to work around with circles, but it breaks document compatibility real hard.

Steps to Reproduce:
1. Open fresh and hot Impress with new document
2. Add a chart
3. Set chart tap to donut
4. Remove all columns in data table except one
5. Remove all rows except 2
6. Set first to 100 and second to 0

Actual Results:
Donut chart completely vanishes, but is selectable(but anchors for chart parts are not present as well)

Expected Results:
A chart which contains full circle for row with 100


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Tried both with GL enabled and disabled
Comment 1 mulla.tasanim 2019-03-15 02:40:47 UTC
Hello Semion

Thank you for reporting the bug.
I can confirm that the bug is present in

Version: 6.2.1.2 (x64)
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL


Version: 6.3.0.0.alpha0+ (x64)
Build ID: 91cdf22b88a4f7bec243c8fb187627e766d3294c
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-03-08_00:38:10
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 2 Buovjaga 2019-03-15 17:21:28 UTC
Bibisected with win32-6.2 to https://gerrit.libreoffice.org/plugins/gitiles/core/+/81302f33073e7629d724ed269f1fa21dad29e141%5E!/
Move angle normalization code from various places to tools

Adding Cc: to Mike Kaganski
Comment 3 Mike Kaganski 2019-03-19 20:11:50 UTC
https://gerrit.libreoffice.org/69440
Comment 4 Commit Notification 2019-03-19 21:29:49 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/166a4989a0d1e5a6271c66bceb73a27970afc882%5E%21

tdf#123504: 0 and 360 are different angles in charts

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-03-20 07:59:11 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/750b2a1c1908f629de0e5933c4e00af32d0a0c15%5E%21

tdf#123504: improve unit test robustness

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-03-20 15:57:20 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: eb128a7d6bbc27b4dbbf9461c81c90e40203b114
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mike Kaganski, thanks for fixing this issue!
Comment 7 Commit Notification 2019-03-20 16:01:10 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/94fab68485601f4879f3fd0cfff8df5e37a088d8%5E%21

tdf#123504: 0 and 360 are different angles in charts

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.